/*
 * Copyright 2001-2004 The Apache Software Foundation.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.juddi.datastore.dht;

import java.util.Properties;

import dermi.DHTHandler;
import dermi.Registry;
import dermi.exception.RemoteException;

/**
 * @author Steve Viens (sviens@apache.org)
 */
public class Database {
	// private reference to the jUDDI logger
	/*
	private static Log log = LogFactory.getLog(Database.class);

	private static final String JDBC_DRIVER_KEY = "juddi.jdbcDriver";

	private static final String DEFAULT_JDBC_DRIVER = "com.mysql.jdbc.Driver";

	private static final String JDBC_URL_KEY = "juddi.jdbcURL";

	private static final String DEFAULT_JDBC_URL = "jdbc:mysql://localhost/juddi";

	private static final String JDBC_USERNAME_KEY = "juddi.jdbcUser";

	private static final String DEFAULT_JDBC_USERNAME = "juddi";

	private static final String JDBC_PASSWORD_KEY = "juddi.jdbcPassword";

	private static final String DEFAULT_JDBC_PASSWORD = "juddi";
*/
	/**
	 * 
	 */
	public static DHTHandler aquireConnection() {
		// grab the JDBC properties we'll need to setup
		// the connection pool.
/*
		String jdbcDriver = System.getProperty(JDBC_DRIVER_KEY,
				DEFAULT_JDBC_DRIVER);
		String jdbcURL = System.getProperty(JDBC_URL_KEY, DEFAULT_JDBC_URL);
		String jdbcUser = System.getProperty(JDBC_USERNAME_KEY,
				DEFAULT_JDBC_USERNAME);
		String jdbcPassword = System.getProperty(JDBC_PASSWORD_KEY,
				DEFAULT_JDBC_PASSWORD);

		// make sure the JDBC Driver is loaded

		try {
			Class.forName(jdbcDriver);
		} catch (ClassNotFoundException cnfex) {
			throw new SQLException("Could not locate JDBC Driver '"
					+ jdbcDriver + "' in classpath: " + cnfex.getMessage());
		}

		// okay, get and return the connection
*/
		DHTHandler conn = null;
		try {
			Properties env = Registry.getEnvironment ("dermi-config.xml");
		    Registry.loadRegistry ("dermi-config.xml");
			conn = new DHTHandler ("dermi-config.xml","duddi",".","http://localhost",null);

		} catch (RemoteException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

		return conn;
	}
}
